Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.util
Class FileSearch

    java.lang.Object
      java.lang.Thread
          org.meshcms.util.DirectoryParser
              org.meshcms.util.FileSearch

All Implemented Interfaces:
  java.lang.Runnable

public class FileSearch
extends DirectoryParser

Field Summary

Fields inherited from class org.meshcms.util.DirectoryParser
`initialDir, processStartDir, recursive`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`FileSearch(java.io.File dir, java.lang.String regex)`

Method Summary
`Path[]` | `getResults()`
`protected void` | `processFile(java.io.File file, Path path)` This method will be called for any file found while parsing the base directory.

Methods inherited from class org.meshcms.util.DirectoryParser
`getInitialDir, isProcessStartDir, isRecursive, isSorted, postProcess, postProcessDirectory, preProcess, preProcessDirectory, process, run, setInitialDir, setInitialDir, setProcessStartDir, setRecursive, setSorted`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileSearch

    public FileSearch(java.io.File dir,
                      java.lang.String regex)

Method Detail

### processFile

    protected void processFile(java.io.File file,
                               Path path)

  Description copied from class: `DirectoryParser`
  This method will be called for any file found while parsing the base directory.

  Overrides:
    `processFile` in class `DirectoryParser`
  Parameters:
    `file` - the file to be processed
    `path` - the path of the file (relative to the base directory)

### getResults

    public Path[] getResults()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD